# norootforbuild

Name:		xbt-tracker
Version:	r2078
Release:	1.1

License:	GPLv3
Group:		Productivity/Networking/Other
Summary:	XBT Tracker is a BitTorrent tracker written in C++
URL:		http://xbtt.sourceforge.net/tracker/

Source0:        %{name}-%{version}.tar.bz2
Source1:	xbt-tracker.rh.init
Patch0:		xbt_tracker_log.diff

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%ifarch %ix86
BuildArch:	i686
%endif

BuildRequires:	gcc-c++, cmake >= 2.4, boost-devel, libstdc++-devel, zlib-devel
%if 0%{?suse_version}
BuildRequires:	libmysqlclient-devel
PreReq:         %insserv_prereq %fillup_prereq
%else
BuildRequires:	mysql-devel
%endif


%description
XBT Tracker is a BitTorrent tracker written in C++. It's designed to offer high performance
while consuming little resources (CPU and RAM). It's a pure tracker, so it doesn't offer a frontend.
You can use any (PHP) frontend you want.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
export LDFLAGS="-L%{_libdir}/mysql"

cd Tracker
cmake .
%__make

%install

cd Tracker
%__install -d -m 750 %{buildroot}/var/log/%{name}
%__install -D -s -m 755 xbt_tracker %{buildroot}/%{_sbindir}/%{name}
%__install -D -m 660 xbt_tracker.conf %{buildroot}/%{_sysconfdir}/%{name}/%{name}.conf
%__install -D -m 644 xbt_tracker.sql %{buildroot}/%{_sysconfdir}/%{name}/%{name}.sql
%if 0%{?suse_version}
%__install -D -m 755 xbt_tracker.init %{buildroot}/%{_initrddir}/%{name}
%else
%__install -D -m 755 %{S:1} %{buildroot}/%{_initrddir}/%{name}
%endif
ln -sf %{_initrddir}/%{name} %{buildroot}/%{_sbindir}/rcxbt-tracker 

%post
%if 0%{?suse_version}
%fillup_and_insserv %{name}
%restart_on_update %{name}
%endif

%preun
%if 0%{?suse_version}
%stop_on_removal %{name}
%endif

%postun
%if 0%{?suse_version}
%insserv_cleanup
%endif

%clean
rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_sbindir}/%{name}
%{_initrddir}/%{name}
%{_sbindir}/rcxbt-tracker
%dir %attr(750,root,root) %{_sysconfdir}/%{name}
%config %{_sysconfdir}/%{name}/%{name}.sql
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%dir %attr(750,root,root) /var/log/%{name}
%doc Tracker/COPYING Tracker/htdocs/*


%changelog
* Tue Jan 28 2014 cs@linux-administrator.com
- update to svn release r2078, add redhat init script
